# station.cpp File Reference

Implementation of the station base class. More...

`#include "stdafx.h"`
`#include "company_func.h"`
`#include "roadveh.h"`
`#include "functions.h"`
`#include "window_func.h"`
`#include "date_func.h"`
`#include "command_func.h"`
`#include "news_func.h"`
`#include "aircraft.h"`
`#include "vehicle_gui.h"`
`#include "core/pool_func.hpp"`
`#include "station_base.h"`
`#include "roadstop_base.h"`
`#include "industry.h"`
`#include "core/random_func.hpp"`
`#include "table/strings.h"`

Go to the source code of this file.

## Data Structures

struct | RectAndIndustryVector
| Rect and pointer to IndustryVector. More...

## Functions

static bool | FindIndustryToDeliver (TileIndex ind_tile, void *user_data)
| Callback function for Station::RecomputeIndustriesNear() Tests whether tile is an industry and possibly adds the industry to station's industries_near list.
void | InitializeStations ()

## Variables

StationPool | _station_pool ("Station")

## Detailed Description

Implementation of the station base class.

Definition in file station.cpp.

## Function Documentation

static bool FindIndustryToDeliver | ( | TileIndex | ind_tile,
|  | void * | user_data |
| ) |  |  | `[static]`

Callback function for Station::RecomputeIndustriesNear() Tests whether tile is an industry and possibly adds the industry to station's industries_near list.

Parameters:

  | ind_tile | tile to check
  | user_data | pointer to RectAndIndustryVector

Returns:
  always false, we want to search all tiles

Definition at line 271 of file station.cpp.

References Industry::accepts_cargo, SmallVector< T, S >::Append(), SmallVector< T, S >::Contains(), CT_INVALID, SpecializedStation< Station, false >::GetByTile(), IsTileType(), lengthof, MP_INDUSTRY, BaseStation::rect, TileX(), and TileY().

Referenced by Station::RecomputeIndustriesNear().